/*-----------------------------------------------------------------------*/
/*  (C) Copyright Institute of Astronomy ETHZ 8092 Zuerich Switzerland   */
/*-----------------------------------------------------------------------*/
/*  Programmname: rxrs232.cpp                                            */
/*                                                                       */
/*  Revision: V1.0     Date: 15.06.2004    Autor: Chr. Monstein          */
/*                                                                       */
/*  Purpose: rs232 control unit header RMS2m                             */
/*                                                                       */
/*  Compiler: BORLAND C++Builder 6                                       */
/*-----------------------------------------------------------------------*/

// Created by: Chr. Monstein 15.06.2004
// Updated by: Chr. Monstein 16.06.2004

//---------------------------------------------------------------------------
#ifndef ClinoRS232H
#define ClinoRS232H
//---------------------------------------------------------------------------
#include <Classes.hpp>
//---------------------------------------------------------------------------
#define buflen 1000
//---------------------------------------------------------------------------
class TWrite : public TThread
{
private:
protected:
	void __fastcall Execute();
public:
    void __fastcall Init(void);
    __fastcall TWrite(bool CreateSuspended);
    void __fastcall GetClinoRS232Data(void); // Read data from RS buffer
    void __fastcall Transmit(char byte); // Send byte to client via RS
    void __fastcall Send(char * cmd); // Send string to client via RS
    void __fastcall Close(void); // termination

};
//---------------------------------------------------------------------------
#endif
