/*--------------------------------------------------------------------------*/
/*  (C) Copyright Monstein Radio Astronomy Support, Freienbach Switzerland  */
/*--------------------------------------------------------------------------*/
/*  Programmname: mainunit.cpp                                              */
/*                                                                          */
/*  Revision: V1.0     Date: 18.06.2004    Autor: Chr. Monstein             */
/*                                                                          */
/*  Purpose: Hostcontroller satellite rotor header file                     */
/*                                                                          */
/*  Compiler: BORLAND C++Builder 6                                          */
/*--------------------------------------------------------------------------*/

// Created by: Chr. Monstein 15.06.2004
// Updated by: Chr. Monstein 16.06.2004
// Updated by: Chr. Monstein 06.07.2016

//---------------------------------------------------------------------------
#ifndef mainunitH
#define mainunitH
//---------------------------------------------------------------------------
#include <vcl\Classes.hpp>
#include <vcl\Controls.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\Menus.hpp>
#include <vcl\ExtCtrls.hpp>
#include <Mask.hpp>
#include <Buttons.hpp>
#include <ComCtrls.hpp>
//---------------------------------------------------------------------------
class TMainForm : public TForm
{
__published:	// IDE-managed Components
    TTimer *Timer;

    TBitBtn *BitBtn1;
    TLabel *Label1;
    TLabel *Label3;
    TLabel *Label4;
    TLabel *Label9;
        TLabel *Label7;
        TMemo *Memo1;
        TButton *Button1;
        TButton *Button3;
        TEdit *Edit1;
        TLabel *Label5;
        TButton *Button2;
        TCheckBox *CheckBox1;
        TEdit *Edit2;
        TLabel *Label6;
        TCheckBox *CheckBox2;
        TButton *Button4;
        TEdit *Edit3;
        TLabel *Label8;
        TLabel *Label10;
        TEdit *Edit4;
        TLabel *Label11;
        TLabel *Label12;
        TButton *Button5;

    void __fastcall BitBtn1Click(TObject *Sender);
    void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
    void __fastcall TimerTimer(TObject *Sender);
        void __fastcall Button1Click(TObject *Sender);
        void __fastcall Button3Click(TObject *Sender);
        void __fastcall Button2Click(TObject *Sender);
        void __fastcall Button4Click(TObject *Sender);
        void __fastcall Button5Click(TObject *Sender);

private:	// User declarations
public:		// User declarations
	__fastcall TMainForm(TComponent* Owner);
    void __fastcall EvalArduino(void);
    void __fastcall ReadConfig(void);

};

//---------------------------------------------------------------------------
extern TMainForm *MainForm;

//---------------------------------------------------------------------------
#endif
